# Node OTP

[![NPMV](https://img.shields.io/npm/v/node-otp.svg?style=flat-square)](https://npmjs.org/package/node-otp)
[![Travis](https://img.shields.io/travis/adnsio/node-otp.svg?style=flat-square)](https://travis-ci.org/adnsio/node-otp)

Node.js One-Time Password library

### Features
- Zero Dependency
- TypeScript Definitions
- RFC4226 (HMAC One-Time Password)
- RFC6238 (Time-Based One-Time Password)

### Examples
```javascript
otp.hotp({
  secret: '12345678901234567890'
})
```

```javascript
otp.totp({
  secret: '12345678901234567890',
  timestamp: new Date().getTime()
})
```