"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const thirty_two_1 = require("thirty-two");
const qr_image_1 = require("qr-image");
const encode = (secret) => {
    return thirty_two_1.default.encode(secret);
};
const decode = (base32secret) => {
    return thirty_two_1.default.decode(base32secret);
};
const uri = ({ user, issuer, secret }) => {
    secret = encode(secret);
    return `otpauth://totp/${issuer}:${user}?secret=${secret}&issuer=${issuer}`;
};
const qrcode = ({ user, issuer, secret }) => {
    return qr_image_1.default.imageSync(uri({
        user,
        issuer,
        secret
    }), {
        type: 'svg',
        size: 5
    });
};
exports.default = {
    encode,
    decode,
    uri,
    qrcode
};
