"use strict";
// https://tools.ietf.org/html/rfc6238
Object.defineProperty(exports, "__esModule", { value: true });
const hotp_1 = require("./hotp");
function default_1(parameters) {
    let { secret, time, timestamp, codeDigits, addChecksum, truncationOffset } = parameters;
    if (!secret)
        throw new Error('no secret value');
    if (!time)
        time = 30;
    if (!timestamp)
        timestamp = new Date().getTime();
    const movingFactor = Math.floor(timestamp / 1000 / time);
    return hotp_1.default({
        secret,
        movingFactor,
        codeDigits,
        addChecksum,
        truncationOffset
    });
}
exports.default = default_1;
